Subject: Re: [PATCH v5 4/9] bgmac: simplify rx DMA error handling

From: Felix Fietkau <[email-masked]>
Date: Mon, 13 Apr 2015 21:47:40 +0200

On 2015-04-13 19:27, Felix Fietkau wrote:
> Unmap the DMA buffer before checking it. If an error occurs, free the
> buffer and allocate a new one. If allocation or mapping fails, retry as
> long as there is NAPI poll budget left (count every attempt instead of
> every frame).
> 
> Signed-off-by: Felix Fietkau <[email-masked]>
Sorry, have to send v6. There are some more issues in this patch
regarding the use of kfree().

- Felix